package com.xy.open.dto;

import com.xy.utils.PageBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * 设备DTO
 */
public class DeviceOpenApiDTO {

    /**
     * 获取商户设备列表
     */
    @Data
    @Accessors(chain = true)
    public static class DeviceListGet {

        @ApiModelProperty(value = "分页对象", required = true)
        private PageBean page;

        @NotEmpty(message = "商户编码不可为空")
        @ApiModelProperty(value = "商户编码不可为空", required = true)
        private List<String> mercCodes;

    }


}
